Page MenuHomePhabricator

Bugs with captions on mobile
Closed, ResolvedPublic

Description

Courtesy of @Ramsey-WMF , see T208993

Bugs found when editing captions while not logged in (both on Safari and Chrome on iOS):

[One moved to more specific T216327.]

  • Attempts to add a NEW English Caption results in "Revision with ID not found" error. Editing existing captions seems to work fine for some files (on this image, editing a caption worked)
  • Additionally, on the link above, the English caption I added via the desktop web interface ended up showing twice on the mobile interface after page refresh.
  • On some files, existing captions do not appear at all on the mobile interface (this file as an example, which has both an existing English and German caption but neither appear in the mobile interface)

Event Timeline

Cparle created this task.Feb 12 2019, 12:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 12:55 PM
Ramsey-WMF triaged this task as High priority.Feb 12 2019, 3:41 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

So all bugs are placed in one ticket, will they also be addressed together or if a bug fix has been made for one will that rollout earlier?

ovasileva moved this task from Needs triage to Triaged on the Mobile board.Feb 19 2019, 3:47 PM

Let's use T216327 for the specific issue.

I'm pretty sure that the rest of the bugs here are artefacts of T216327 and T213991. Can't replicate distinctly from that, at least. :-(

Jdlrobson moved this task from Triaged to Needs triage on the Mobile board.Feb 22 2019, 12:07 AM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.
Ramsey-WMF closed this task as Resolved.Mar 8 2019, 4:59 PM
Ramsey-WMF claimed this task.

Tested on production after all the fixes. Bugs are gone as far as I can tell.